Subject: bug#35021: closed (Re: bug#35021: M-^ (delete-indentation) doesn't work without a mark present)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Mar 2019 16:43:02 +0000

Your bug report

#35021: M-^ (delete-indentation) doesn't work without a mark present

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35021: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35021
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35021: M-^ (delete-indentation) doesn't work without a mark present
From: "Basil L. Contovounesios" <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 31 Mar 2019 17:42:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: "Basil L. Contovounesios" <[email-masked]>
>> Cc: Alex Branham <[email-masked]>,  <[email-masked]>,  <[email-masked]>,  <[email-masked]>,  <[email-masked]>
>> Date: Sun, 31 Mar 2019 03:41:47 +0100
>> 
>> > Looks OK to me, please push.
>> 
>> Thanks, but my last patch only fixed the bug with the interactive spec,
>> and I have since discovered and fixed a few more edge-cases (including
>> that reported by Alex in bug#35036).
>> 
>> I attach the updated patch.  Can I push this one instead?
>
> Yes, this LGTM as well.

Thanks, I pushed to master and am thus closing this report.

-- 
Basil

Subject: M-^ (delete-indentation) doesn't work without a mark present
From: Jon Irving <[email-masked]>
To: [email-masked]
Date: Wed, 27 Mar 2019 10:19:17 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I believe this is related to the following commits:

b515edb985 Fix bug in delete-indentation when region is inactive
09c220a5cf Minor fixes for the last change
8fa94a1ecc If the region is active, join all the lines it spans

From a clean `emacs -Q` start:

1. Move point up to the bottom line of the *scratch* buffer comments
2. Type M-^ (or M-x delete-indentation)
3. Observe the following message in the minibuffer:
     The mark is not set now, so there is no region

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.7)
 of 2019-03-26 built on odo
Repository revision: c8ec3108a3d0bd1955d21f40b3c0c3b36d55b20d
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Arch Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_MESSAGES: 
  value of $LC_MONETARY: en_CA.UTF-8
  value of $LC_NUMERIC: en_CA.UTF-8
  value of $LC_TIME: en_CA.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec rfc822 mml
easymenu mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
elec-pair mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 44928 6804)
 (symbols 48 5888 1)
 (strings 32 15000 1709)
 (string-bytes 1 494536)
 (vectors 16 9510)
 (vector-slots 8 117542 10312)
 (floats 8 17 47)
 (intervals 56 189 0)
 (buffers 992 11))